Index: lemon/arg_parser.cc
===================================================================
--- lemon/arg_parser.cc	(revision 210)
+++ lemon/arg_parser.cc	(revision 214)
@@ -240,9 +240,9 @@
   }
 
-  void ArgParser::show(std::ostream &os,Opts::iterator i)
+  void ArgParser::show(std::ostream &os,Opts::const_iterator i) const
   {
     os << "-" << i->first;
     if(i->second.has_syn)
-      for(Opts::iterator j=_opts.begin();j!=_opts.end();++j)
+      for(Opts::const_iterator j=_opts.begin();j!=_opts.end();++j)
         if(j->second.syn&&j->second.help==i->first)
           os << "|-" << j->first;
@@ -262,7 +262,7 @@
   }
 
-  void ArgParser::show(std::ostream &os,Groups::iterator i)
-  {
-    GroupData::Opts::iterator o=i->second.opts.begin();
+  void ArgParser::show(std::ostream &os,Groups::const_iterator i) const
+  {
+    GroupData::Opts::const_iterator o=i->second.opts.begin();
     while(o!=i->second.opts.end()) {
       show(os,_opts.find(*o));
@@ -272,5 +272,5 @@
   }
 
-  void ArgParser::showHelp(Opts::iterator i)
+  void ArgParser::showHelp(Opts::const_iterator i) const
   {
     if(i->second.help.size()==0||i->second.syn) return;
@@ -280,5 +280,6 @@
     std::cerr << "     " << i->second.help << std::endl;
   }
-  void ArgParser::showHelp(std::vector<ArgParser::OtherArg>::iterator i)
+  void ArgParser::showHelp(std::vector<ArgParser::OtherArg>::const_iterator i)
+    const
   {
     if(i->help.size()==0) return;
@@ -287,5 +288,5 @@
   }
 
-  void ArgParser::shortHelp()
+  void ArgParser::shortHelp() const
   {
     const unsigned int LINE_LEN=77;
@@ -293,5 +294,5 @@
     std::cerr << "Usage:\n  " << _command_name;
     int pos=_command_name.size()+2;
-    for(Groups::iterator g=_groups.begin();g!=_groups.end();++g) {
+    for(Groups::const_iterator g=_groups.begin();g!=_groups.end();++g) {
       std::ostringstream cstr;
       cstr << ' ';
@@ -306,5 +307,5 @@
       pos+=cstr.str().size();
     }
-    for(Opts::iterator i=_opts.begin();i!=_opts.end();++i)
+    for(Opts::const_iterator i=_opts.begin();i!=_opts.end();++i)
       if(!i->second.ingroup&&!i->second.syn) {
         std::ostringstream cstr;
@@ -320,5 +321,5 @@
         pos+=cstr.str().size();
       }
-    for(std::vector<OtherArg>::iterator i=_others_help.begin();
+    for(std::vector<OtherArg>::const_iterator i=_others_help.begin();
         i!=_others_help.end();++i)
       {
@@ -336,16 +337,16 @@
   }
 
-  void ArgParser::showHelp()
+  void ArgParser::showHelp() const
   {
     shortHelp();
     std::cerr << "Where:\n";
-    for(std::vector<OtherArg>::iterator i=_others_help.begin();
+    for(std::vector<OtherArg>::const_iterator i=_others_help.begin();
         i!=_others_help.end();++i) showHelp(i);
-    for(Opts::iterator i=_opts.begin();i!=_opts.end();++i) showHelp(i);
+    for(Opts::const_iterator i=_opts.begin();i!=_opts.end();++i) showHelp(i);
     exit(1);
   }
 
 
-  void ArgParser::unknownOpt(std::string arg)
+  void ArgParser::unknownOpt(std::string arg) const
   {
     std::cerr << "\nUnknown option: " << arg << "\n";
@@ -355,5 +356,5 @@
   }
 
-  void ArgParser::requiresValue(std::string arg, OptType t)
+  void ArgParser::requiresValue(std::string arg, OptType t) const
   {
     std::cerr << "Argument '" << arg << "' requires a";
@@ -376,8 +377,8 @@
 
 
-  void ArgParser::checkMandatories()
+  void ArgParser::checkMandatories() const
   {
     bool ok=true;
-    for(Opts::iterator i=_opts.begin();i!=_opts.end();++i)
+    for(Opts::const_iterator i=_opts.begin();i!=_opts.end();++i)
       if(i->second.mandatory&&!i->second.set)
         {
@@ -388,9 +389,9 @@
           showHelp(i);
         }
-    for(Groups::iterator i=_groups.begin();i!=_groups.end();++i)
+    for(Groups::const_iterator i=_groups.begin();i!=_groups.end();++i)
       if(i->second.mandatory||i->second.only_one)
         {
           int set=0;
-          for(GroupData::Opts::iterator o=i->second.opts.begin();
+          for(GroupData::Opts::const_iterator o=i->second.opts.begin();
               o!=i->second.opts.end();++o)
             if(_opts.find(*o)->second.set) ++set;
@@ -399,5 +400,5 @@
               ": At least one of the following arguments is mandatory.\n";
             ok=false;
-            for(GroupData::Opts::iterator o=i->second.opts.begin();
+            for(GroupData::Opts::const_iterator o=i->second.opts.begin();
                 o!=i->second.opts.end();++o)
               showHelp(_opts.find(*o));
@@ -407,5 +408,5 @@
               ": At most one of the following arguments can be given.\n";
             ok=false;
-            for(GroupData::Opts::iterator o=i->second.opts.begin();
+            for(GroupData::Opts::const_iterator o=i->second.opts.begin();
                 o!=i->second.opts.end();++o)
               showHelp(_opts.find(*o));
Index: lemon/arg_parser.h
===================================================================
--- lemon/arg_parser.h	(revision 209)
+++ lemon/arg_parser.h	(revision 214)
@@ -272,15 +272,18 @@
     ///@}
 
-    void show(std::ostream &os,Opts::iterator i);
-    void show(std::ostream &os,Groups::iterator i);
-    void showHelp(Opts::iterator i);
-    void showHelp(std::vector<OtherArg>::iterator i);
-    void shortHelp();
-    void showHelp();
-
-    void unknownOpt(std::string arg);
-
-    void requiresValue(std::string arg, OptType t);
-    void checkMandatories();
+  private:
+    void show(std::ostream &os,Opts::const_iterator i) const;
+    void show(std::ostream &os,Groups::const_iterator i) const;
+    void showHelp(Opts::const_iterator i) const;
+    void showHelp(std::vector<OtherArg>::const_iterator i) const;
+
+    void unknownOpt(std::string arg) const;
+
+    void requiresValue(std::string arg, OptType t) const;
+    void checkMandatories() const;
+
+    void shortHelp() const;
+    void showHelp() const;
+  public:
 
     ///Start the parsing process
@@ -294,10 +297,10 @@
 
     ///Give back the command name (the 0th argument)
-    const std::string &commandName() { return _command_name; }
+    const std::string &commandName() const { return _command_name; }
 
     ///Check if an opion has been given to the command.
-    bool given(std::string op)
-    {
-      Opts::iterator i = _opts.find(op);
+    bool given(std::string op) const
+    {
+      Opts::const_iterator i = _opts.find(op);
       return i!=_opts.end()?i->second.set:false;
     }
@@ -312,13 +315,13 @@
     class RefType
     {
-      ArgParser &_parser;
+      const ArgParser &_parser;
       std::string _name;
     public:
       ///\e
-      RefType(ArgParser &p,const std::string &n) :_parser(p),_name(n) {}
+      RefType(const ArgParser &p,const std::string &n) :_parser(p),_name(n) {}
       ///\e
       operator bool()
       {
-        Opts::iterator i = _parser._opts.find(_name);
+        Opts::const_iterator i = _parser._opts.find(_name);
         LEMON_ASSERT(i!=_parser._opts.end(),
                      std::string()+"Unkown option: '"+_name+"'");
@@ -330,5 +333,5 @@
       operator std::string()
       {
-        Opts::iterator i = _parser._opts.find(_name);
+        Opts::const_iterator i = _parser._opts.find(_name);
         LEMON_ASSERT(i!=_parser._opts.end(),
                      std::string()+"Unkown option: '"+_name+"'");
@@ -340,5 +343,5 @@
       operator double()
       {
-        Opts::iterator i = _parser._opts.find(_name);
+        Opts::const_iterator i = _parser._opts.find(_name);
         LEMON_ASSERT(i!=_parser._opts.end(),
                      std::string()+"Unkown option: '"+_name+"'");
@@ -352,5 +355,5 @@
       operator int()
       {
-        Opts::iterator i = _parser._opts.find(_name);
+        Opts::const_iterator i = _parser._opts.find(_name);
         LEMON_ASSERT(i!=_parser._opts.end(),
                      std::string()+"Unkown option: '"+_name+"'");
@@ -366,5 +369,5 @@
     ///Give back the value of an option.
     ///\sa RefType
-    RefType operator[](const std::string &n)
+    RefType operator[](const std::string &n) const
     {
       return RefType(*this, n);
@@ -375,5 +378,5 @@
     ///Give back a reference to a vector consisting of the program arguments
     ///not starting with a '-' character.
-    std::vector<std::string> &files() { return _file_args; }
+    const std::vector<std::string> &files() const { return _file_args; }
 
   };
Index: lemon/assert.h
===================================================================
--- lemon/assert.h	(revision 212)
+++ lemon/assert.h	(revision 210)
@@ -67,15 +67,15 @@
 #undef LEMON_DEBUG
 
-#if (defined(LEMON_ASSERT_LOG) ? 1 : 0) +               \
-  (defined(LEMON_ASSERT_ABORT) ? 1 : 0) +               \
+#if (defined(LEMON_ASSERT_LOG) ? 1 : 0) +                \
+  (defined(LEMON_ASSERT_ABORT) ? 1 : 0) +                \
   (defined(LEMON_ASSERT_CUSTOM) ? 1 : 0) > 1
 #error "LEMON assertion system is not set properly"
 #endif
 
-#if ((defined(LEMON_ASSERT_LOG) ? 1 : 0) +              \
-     (defined(LEMON_ASSERT_ABORT) ? 1 : 0) +            \
-     (defined(LEMON_ASSERT_CUSTOM) ? 1 : 0) == 1 ||     \
-     defined(LEMON_ENABLE_ASSERTS)) &&                  \
-  (defined(LEMON_DISABLE_ASSERTS) ||                    \
+#if ((defined(LEMON_ASSERT_LOG) ? 1 : 0) +                \
+     (defined(LEMON_ASSERT_ABORT) ? 1 : 0) +                \
+     (defined(LEMON_ASSERT_CUSTOM) ? 1 : 0) == 1 ||        \
+     defined(LEMON_ENABLE_ASSERTS)) &&                        \
+  (defined(LEMON_DISABLE_ASSERTS) ||                        \
    defined(NDEBUG))
 #error "LEMON assertion system is not set properly"
@@ -169,7 +169,7 @@
 /// behaviour is changed appropiately to the new settings.
 #  define LEMON_ASSERT(exp, msg)                                        \
-  (static_cast<void> (!!(exp) ? 0 : (                                   \
-    LEMON_ASSERT_HANDLER(__FILE__, __LINE__,                            \
-                         LEMON_FUNCTION_NAME,                           \
+  (static_cast<void> (!!(exp) ? 0 : (                                        \
+    LEMON_ASSERT_HANDLER(__FILE__, __LINE__,                                \
+                         LEMON_FUNCTION_NAME,                                \
                          ::lemon::_assert_bits::cstringify(msg), #exp), 0)))
 
@@ -185,7 +185,7 @@
 ///
 /// \see LEMON_ASSERT
-#  define LEMON_FIXME(msg)                                              \
+#  define LEMON_FIXME(msg)                                                \
   (LEMON_ASSERT_HANDLER(__FILE__, __LINE__, LEMON_FUNCTION_NAME,        \
-                        ::lemon::_assert_bits::cstringify(msg),         \
+                        ::lemon::_assert_bits::cstringify(msg),          \
                         static_cast<const char*>(0)))
 
@@ -213,8 +213,8 @@
 ///
 /// \see LEMON_ASSERT
-#  define LEMON_DEBUG(exp, msg)                                         \
-  (static_cast<void> (!!(exp) ? 0 : (                                   \
+#  define LEMON_DEBUG(exp, msg)                                                \
+  (static_cast<void> (!!(exp) ? 0 : (                                        \
     LEMON_ASSERT_HANDLER(__FILE__, __LINE__,                            \
-                         LEMON_FUNCTION_NAME,                           \
+                         LEMON_FUNCTION_NAME,                                \
                          ::lemon::_assert_bits::cstringify(msg), #exp), 0)))
 
@@ -226,21 +226,21 @@
 #    define LEMON_DEBUG(exp, msg) (static_cast<void>(0))
 #  else
-#    define LEMON_ASSERT(exp, msg)                                      \
-       (static_cast<void> (!!(exp) ? 0 : (                              \
+#    define LEMON_ASSERT(exp, msg)                                        \
+       (static_cast<void> (!!(exp) ? 0 : (                                \
         LEMON_ASSERT_HANDLER(__FILE__, __LINE__,                        \
-                             LEMON_FUNCTION_NAME,                       \
-                             ::lemon::_assert_bits::cstringify(msg),    \
+                             LEMON_FUNCTION_NAME,                        \
+                             ::lemon::_assert_bits::cstringify(msg),        \
                              #exp), 0)))
-#    define LEMON_FIXME(msg)                                            \
-       (LEMON_ASSERT_HANDLER(__FILE__, __LINE__, LEMON_FUNCTION_NAME,   \
-                             ::lemon::_assert_bits::cstringify(msg),    \
+#    define LEMON_FIXME(msg)                                                \
+       (LEMON_ASSERT_HANDLER(__FILE__, __LINE__, LEMON_FUNCTION_NAME,        \
+                             ::lemon::_assert_bits::cstringify(msg),        \
                              static_cast<const char*>(0)))
 
 #    if LEMON_ENABLE_DEBUG
 #      define LEMON_DEBUG(exp, msg)
-         (static_cast<void> (!!(exp) ? 0 : (                            \
-           LEMON_ASSERT_HANDLER(__FILE__, __LINE__,                     \
-                                LEMON_FUNCTION_NAME,                    \
-                                ::lemon::_assert_bits::cstringify(msg), \
+         (static_cast<void> (!!(exp) ? 0 : (         \
+           LEMON_ASSERT_HANDLER(__FILE__, __LINE__,  \
+                                LEMON_FUNCTION_NAME, \
+                                ::lemon::_assert_bits::cstringify(msg),     \
                                 #exp), 0)))
 #    else
@@ -250,2 +250,12 @@
 
 #endif
+
+#ifdef DOXYGEN
+
+
+#else
+
+
+#endif
+
+
Index: lemon/concepts/path.h
===================================================================
--- lemon/concepts/path.h	(revision 212)
+++ lemon/concepts/path.h	(revision 209)
@@ -101,6 +101,6 @@
         /// Comparison operator
         bool operator!=(const ArcIt&) const {return true;}
-        /// Comparison operator
-        bool operator<(const ArcIt&) const {return false;}
+         /// Comparison operator
+         bool operator<(const ArcIt&) const {return false;}
 
       };
@@ -256,6 +256,6 @@
         /// Comparison operator
         bool operator!=(const ArcIt&) const {return true;}
-        /// Comparison operator
-        bool operator<(const ArcIt&) const {return false;}
+         /// Comparison operator
+         bool operator<(const ArcIt&) const {return false;}
 
       };
@@ -284,6 +284,6 @@
         /// Comparison operator
         bool operator!=(const RevArcIt&) const {return true;}
-        /// Comparison operator
-        bool operator<(const RevArcIt&) const {return false;}
+         /// Comparison operator
+         bool operator<(const RevArcIt&) const {return false;}
 
       };
Index: lemon/error.h
===================================================================
--- lemon/error.h	(revision 212)
+++ lemon/error.h	(revision 209)
@@ -71,5 +71,5 @@
       try {
         if (!copy.valid()) return;
-        *ptr = copy.get();
+         *ptr = copy.get();
       } catch (...) {}
     }
Index: lemon/graph_to_eps.h
===================================================================
--- lemon/graph_to_eps.h	(revision 212)
+++ lemon/graph_to_eps.h	(revision 210)
@@ -909,5 +909,5 @@
           //\todo better 'epsilon' would be nice here.
           dim2::Point<double> d(dvec/std::max(l,EPSILON));
-          dim2::Point<double> m;
+           dim2::Point<double> m;
 //           m=dim2::Point<double>(mycoords[g.target(*i)]+
 //                                 mycoords[g.source(*i)])/2.0;
@@ -917,5 +917,5 @@
 //                (_nodeSizes[g.source(*i)]+_nodeSizes[g.target(*i)]));
 
-          m=dim2::Point<double>(mycoords[g.source(*i)])+
+           m=dim2::Point<double>(mycoords[g.source(*i)])+
             d*(l+_nodeSizes[g.source(*i)]-_nodeSizes[g.target(*i)])/2.0;
 
Index: lemon/graph_utils.h
===================================================================
--- lemon/graph_utils.h	(revision 212)
+++ lemon/graph_utils.h	(revision 209)
@@ -53,16 +53,16 @@
   ///on a template parameter, then use \c TEMPLATE_DIGRAPH_TYPEDEFS()
   ///macro.
-#define DIGRAPH_TYPEDEFS(Digraph)                                       \
-  typedef Digraph::Node Node;                                           \
-  typedef Digraph::NodeIt NodeIt;                                       \
-  typedef Digraph::Arc Arc;                                             \
-  typedef Digraph::ArcIt ArcIt;                                         \
-  typedef Digraph::InArcIt InArcIt;                                     \
-  typedef Digraph::OutArcIt OutArcIt;                                   \
-  typedef Digraph::NodeMap<bool> BoolNodeMap;                           \
-  typedef Digraph::NodeMap<int> IntNodeMap;                             \
-  typedef Digraph::NodeMap<double> DoubleNodeMap;                       \
-  typedef Digraph::ArcMap<bool> BoolArcMap;                             \
-  typedef Digraph::ArcMap<int> IntArcMap;                               \
+#define DIGRAPH_TYPEDEFS(Digraph)                                        \
+  typedef Digraph::Node Node;                                                \
+  typedef Digraph::NodeIt NodeIt;                                        \
+  typedef Digraph::Arc Arc;                                                \
+  typedef Digraph::ArcIt ArcIt;                                                \
+  typedef Digraph::InArcIt InArcIt;                                        \
+  typedef Digraph::OutArcIt OutArcIt;                                        \
+  typedef Digraph::NodeMap<bool> BoolNodeMap;                                \
+  typedef Digraph::NodeMap<int> IntNodeMap;                                \
+  typedef Digraph::NodeMap<double> DoubleNodeMap;                        \
+  typedef Digraph::ArcMap<bool> BoolArcMap;                                \
+  typedef Digraph::ArcMap<int> IntArcMap;                                \
   typedef Digraph::ArcMap<double> DoubleArcMap
 
@@ -73,16 +73,16 @@
   ///\note Use this macro, if the graph type is a dependent type,
   ///ie. the graph type depend on a template parameter.
-#define TEMPLATE_DIGRAPH_TYPEDEFS(Digraph)                              \
-  typedef typename Digraph::Node Node;                                  \
-  typedef typename Digraph::NodeIt NodeIt;                              \
-  typedef typename Digraph::Arc Arc;                                    \
+#define TEMPLATE_DIGRAPH_TYPEDEFS(Digraph)                                \
+  typedef typename Digraph::Node Node;                                        \
+  typedef typename Digraph::NodeIt NodeIt;                                \
+  typedef typename Digraph::Arc Arc;                                        \
   typedef typename Digraph::ArcIt ArcIt;                                \
-  typedef typename Digraph::InArcIt InArcIt;                            \
-  typedef typename Digraph::OutArcIt OutArcIt;                          \
-  typedef typename Digraph::template NodeMap<bool> BoolNodeMap;         \
-  typedef typename Digraph::template NodeMap<int> IntNodeMap;           \
-  typedef typename Digraph::template NodeMap<double> DoubleNodeMap;     \
-  typedef typename Digraph::template ArcMap<bool> BoolArcMap;           \
-  typedef typename Digraph::template ArcMap<int> IntArcMap;             \
+  typedef typename Digraph::InArcIt InArcIt;                                \
+  typedef typename Digraph::OutArcIt OutArcIt;                                \
+  typedef typename Digraph::template NodeMap<bool> BoolNodeMap;                \
+  typedef typename Digraph::template NodeMap<int> IntNodeMap;                \
+  typedef typename Digraph::template NodeMap<double> DoubleNodeMap;        \
+  typedef typename Digraph::template ArcMap<bool> BoolArcMap;                \
+  typedef typename Digraph::template ArcMap<int> IntArcMap;                \
   typedef typename Digraph::template ArcMap<double> DoubleArcMap
 
@@ -97,11 +97,11 @@
   ///on a template parameter, then use \c TEMPLATE_DIGRAPH_TYPEDEFS()
   ///macro.
-#define GRAPH_TYPEDEFS(Graph)                                           \
-  DIGRAPH_TYPEDEFS(Graph);                                              \
-  typedef Graph::Edge Edge;                                             \
-  typedef Graph::EdgeIt EdgeIt;                                         \
-  typedef Graph::IncEdgeIt IncEdgeIt;                                   \
-  typedef Graph::EdgeMap<bool> BoolEdgeMap;                             \
-  typedef Graph::EdgeMap<int> IntEdgeMap;                               \
+#define GRAPH_TYPEDEFS(Graph)                                                \
+  DIGRAPH_TYPEDEFS(Graph);                                                \
+  typedef Graph::Edge Edge;                                                \
+  typedef Graph::EdgeIt EdgeIt;                                                \
+  typedef Graph::IncEdgeIt IncEdgeIt;                                        \
+  typedef Graph::EdgeMap<bool> BoolEdgeMap;                                \
+  typedef Graph::EdgeMap<int> IntEdgeMap;                                \
   typedef Graph::EdgeMap<double> DoubleEdgeMap
 
@@ -112,11 +112,11 @@
   ///\note Use this macro, if the graph type is a dependent type,
   ///ie. the graph type depend on a template parameter.
-#define TEMPLATE_GRAPH_TYPEDEFS(Graph)                                  \
-  TEMPLATE_DIGRAPH_TYPEDEFS(Graph);                                     \
-  typedef typename Graph::Edge Edge;                                    \
+#define TEMPLATE_GRAPH_TYPEDEFS(Graph)                                        \
+  TEMPLATE_DIGRAPH_TYPEDEFS(Graph);                                        \
+  typedef typename Graph::Edge Edge;                                        \
   typedef typename Graph::EdgeIt EdgeIt;                                \
-  typedef typename Graph::IncEdgeIt IncEdgeIt;                          \
-  typedef typename Graph::template EdgeMap<bool> BoolEdgeMap;           \
-  typedef typename Graph::template EdgeMap<int> IntEdgeMap;             \
+  typedef typename Graph::IncEdgeIt IncEdgeIt;                                \
+  typedef typename Graph::template EdgeMap<bool> BoolEdgeMap;                \
+  typedef typename Graph::template EdgeMap<int> IntEdgeMap;                \
   typedef typename Graph::template EdgeMap<double> DoubleEdgeMap
 
Index: lemon/lgf_reader.h
===================================================================
--- lemon/lgf_reader.h	(revision 212)
+++ lemon/lgf_reader.h	(revision 210)
@@ -147,5 +147,5 @@
     public:
       ValueStorage(Value& value, const Converter& converter = Converter())
-        : _value(value), _converter(converter) {}
+         : _value(value), _converter(converter) {}
 
       virtual void set(const std::string& value) {
@@ -511,5 +511,5 @@
     DigraphReader(const std::string& fn, Digraph& digraph)
       : _is(new std::ifstream(fn.c_str())), local_is(true), _digraph(digraph),
-        _use_nodes(false), _use_arcs(false),
+            _use_nodes(false), _use_arcs(false),
         _skip_nodes(false), _skip_arcs(false) {}
 
@@ -520,5 +520,5 @@
     DigraphReader(const char* fn, Digraph& digraph)
       : _is(new std::ifstream(fn)), local_is(true), _digraph(digraph),
-        _use_nodes(false), _use_arcs(false),
+            _use_nodes(false), _use_arcs(false),
         _skip_nodes(false), _skip_arcs(false) {}
 
@@ -1295,5 +1295,5 @@
     GraphReader(const std::string& fn, Graph& graph)
       : _is(new std::ifstream(fn.c_str())), local_is(true), _graph(graph),
-        _use_nodes(false), _use_edges(false),
+            _use_nodes(false), _use_edges(false),
         _skip_nodes(false), _skip_edges(false) {}
 
@@ -1304,5 +1304,5 @@
     GraphReader(const char* fn, Graph& graph)
       : _is(new std::ifstream(fn)), local_is(true), _graph(graph),
-        _use_nodes(false), _use_edges(false),
+            _use_nodes(false), _use_edges(false),
         _skip_nodes(false), _skip_edges(false) {}
 
Index: lemon/lgf_writer.h
===================================================================
--- lemon/lgf_writer.h	(revision 212)
+++ lemon/lgf_writer.h	(revision 209)
@@ -182,5 +182,5 @@
     public:
       ValueStorage(const Value& value, const Converter& converter = Converter())
-        : _value(value), _converter(converter) {}
+         : _value(value), _converter(converter) {}
 
       virtual std::string get() {
Index: lemon/list_graph.h
===================================================================
--- lemon/list_graph.h	(revision 212)
+++ lemon/list_graph.h	(revision 209)
@@ -495,5 +495,5 @@
       Node b = addNode();
       for(OutArcIt e(*this,n);e!=INVALID;) {
-        OutArcIt f=e;
+         OutArcIt f=e;
         ++f;
         changeSource(e,b);
